GpgFrontend::UI::SoftwareVersion Struct Reference
Collaboration diagram for GpgFrontend::UI::SoftwareVersion:

## Public Member Functions

bool | InfoVaild () const
bool | NeedUpgrade () const
bool | VersionWithDrawn () const
bool | CurrentVersionReleased () const

## Public Attributes

std::string | latest_version
std::string | current_version
bool | latest_prerelease = false
bool | latest_draft = false
bool | current_prerelease = false
bool | current_draft = false
bool | load_info_done = false
bool | current_version_found = false
std::string | publish_date
std::string | release_note

## Member Function Documentation

## CurrentVersionReleased()

bool GpgFrontend::UI::SoftwareVersion::CurrentVersionReleased | ( |  | ) | const

inline

Returns
  true
  false

Referenced by GpgFrontend::UI::UpdateTab::slot_show_version_status(), and GpgFrontend::UI::MainWindow::slot_version_upgrade().

## InfoVaild()

bool GpgFrontend::UI::SoftwareVersion::InfoVaild | ( |  | ) | const

inline

Returns
  true
  false

Referenced by GpgFrontend::UI::MainWindow::slot_version_upgrade().

## NeedUpgrade()

bool GpgFrontend::UI::SoftwareVersion::NeedUpgrade | ( |  | ) | const

inline

Returns
  true
  false

Referenced by GpgFrontend::UI::UpdateTab::slot_show_version_status(), and GpgFrontend::UI::MainWindow::slot_version_upgrade().

## VersionWithDrawn()

bool GpgFrontend::UI::SoftwareVersion::VersionWithDrawn | ( |  | ) | const

inline

Returns
  true
  false

Referenced by GpgFrontend::UI::UpdateTab::slot_show_version_status(), and GpgFrontend::UI::MainWindow::slot_version_upgrade().

The documentation for this struct was generated from the following file:

- src/ui/struct/SoftwareVersion.h